"use strict";

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getPaymentOperationsCategoriesInfo = exports.getPaymentStatusInfo = exports.getPaymentWalletTypesInfo = exports.getPaymentOperationsInfo = exports.getPaymentDetailsInfoByWalletTypeId = exports.getPaymentDetailsInfo = exports.getCalendarPaymentsInfo = void 0;

var paymentsService = _interopRequireWildcard(require("../../core/services/paymentsService.js"));

var transactionsService = _interopRequireWildcard(require("../../core/services/transactionsService.js"));

var paymentsModel = _interopRequireWildcard(require("../../models/paymentsModels.js"));

function _interopRequireWildcard(obj) {
  if (obj && obj.__esModule) {
    return obj;
  } else {
    var newObj = {};

    if (obj != null) {
      for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {};

          if (desc.get || desc.set) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }
    }

    newObj.default = obj;
    return newObj;
  }
}

var getProductTypes = transactionsService.getProductTypes,
    getBrands = transactionsService.getBrands;
var getPaymentDetailsByWalletTypeId = paymentsService.getPaymentDetailsByWalletTypeId,
    getPaymentDetails = paymentsService.getPaymentDetails,
    getPaymentStatus = paymentsService.getPaymentStatus,
    getPaymentOperations = paymentsService.getPaymentOperations,
    getPaymentWalletTypes = paymentsService.getPaymentWalletTypes,
    getPaymentOperationsCategories = paymentsService.getPaymentOperationsCategories;
var paymentsCalendarModel = paymentsModel.paymentsCalendarModel,
    paymentDetailsModel = paymentsModel.paymentDetailsModel,
    paymentDetailsByWalletTypeIdModel = paymentsModel.paymentDetailsByWalletTypeIdModel;

var getCalendarPaymentsInfo = function getCalendarPaymentsInfo(requestParams, instance) {
  return function (dispatch) {
    var promises = [getPaymentDetails(_objectSpread({}, requestParams, {
      crossbalance: true
    }), instance), getPaymentStatus(requestParams, instance)];
    Promise.all(promises).then(function (responses) {
      dispatch({
        type: 'GET_PAYMENTS_CALENDAR_INFO',
        data: paymentsCalendarModel(responses)
      });
    });
  };
};

exports.getCalendarPaymentsInfo = getCalendarPaymentsInfo;

var getPaymentDetailsInfo = function getPaymentDetailsInfo(requestParams, instance) {
  return function (dispatch) {
    var promises = [getPaymentDetails(_objectSpread({}, requestParams, {
      crossbalance: true
    }), instance), getPaymentWalletTypes(requestParams, instance), getBrands(requestParams, instance), getProductTypes(requestParams, instance)];
    Promise.all(promises).then(function (responses) {
      dispatch({
        type: 'GET_PAYMENT_DETAILS_INFO',
        data: paymentDetailsModel(responses)
      });
    });
  };
};

exports.getPaymentDetailsInfo = getPaymentDetailsInfo;

var getPaymentDetailsInfoByWalletTypeId = function getPaymentDetailsInfoByWalletTypeId(requestParams, instance) {
  return function (dispatch) {
    var promises = [getPaymentDetailsByWalletTypeId(requestParams, instance), getPaymentWalletTypes(requestParams, instance), getPaymentOperationsCategories(requestParams, instance), getBrands(requestParams, instance), getProductTypes(requestParams, instance)];
    Promise.all(promises).then(function (responses) {
      dispatch({
        type: 'GET_PAYMENT_DETAILS_INFO_BY_WALLET_TYPE_ID',
        data: paymentDetailsByWalletTypeIdModel(responses)
      });
    });
  };
};

exports.getPaymentDetailsInfoByWalletTypeId = getPaymentDetailsInfoByWalletTypeId;

var getPaymentOperationsInfo = function getPaymentOperationsInfo(requestParameters, instance) {
  return function (dispatch) {
    var promises = [getPaymentOperations(requestParameters, instance), getPaymentStatus(requestParameters, instance), getPaymentOperationsCategories(requestParameters, instance), getProductTypes(requestParameters, instance)];
    Promise.all(promises).then(function (responses) {
      dispatch({
        type: 'GET_PAYMENT_OPERATIONS_INFO',
        data: paymentsModel.paymentOperationsModel(responses)
      });
    });
  };
};

exports.getPaymentOperationsInfo = getPaymentOperationsInfo;

var getPaymentWalletTypesInfo = function getPaymentWalletTypesInfo(requestParameters, instance) {
  return function (dispatch) {
    paymentsService.getPaymentWalletTypes(requestParameters, instance).then(function (response) {
      dispatch({
        type: 'GET_PAYMENT_WALLET_TYPES',
        data: paymentsModel.paymentsWalletsTypesModel(response)
      });
    });
  };
};

exports.getPaymentWalletTypesInfo = getPaymentWalletTypesInfo;

var getPaymentStatusInfo = function getPaymentStatusInfo(requestParameters, instance) {
  return function (dispatch) {
    paymentsService.getPaymentStatus(requestParameters, instance).then(function (response) {
      dispatch({
        type: 'GET_PAYMENT_STATUS',
        data: paymentsModel.paymentsStatusModel(response)
      });
    });
  };
};

exports.getPaymentStatusInfo = getPaymentStatusInfo;

var getPaymentOperationsCategoriesInfo = function getPaymentOperationsCategoriesInfo(requestParameters, instance) {
  return function (dispatch) {
    paymentsService.getPaymentOperationsCategories(requestParameters, instance).then(function (response) {
      dispatch({
        type: 'GET_PAYMENT_OPERATIONS_CATEGORIES',
        data: paymentsModel.paymentsOperationsCategoriesModel(response)
      });
    });
  };
};

exports.getPaymentOperationsCategoriesInfo = getPaymentOperationsCategoriesInfo;