"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.validatePayload = void 0;

var _interface = require("../helpers/interface.js");

var _constants = require("../constants/constants.js");

var validatePayload = function validatePayload(intface, payload, requestMethod) {
  var interfaceMatcher = requestMethod === _constants.PATCH ? _interface.matchesInterfacePartially : _interface.matchesInterface;
  var isInterfaceMatched = interfaceMatcher(intface);
  var isValidPayload = Array.isArray(payload) ? payload.every(isInterfaceMatched) : isInterfaceMatched(payload);

  if (!isValidPayload) {
    throw new Error('The object does not match the interface.');
  }

  return payload;
};

exports.validatePayload = validatePayload;