"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.service = void 0;

var _request = require("../../../helpers/request.js");

var _bankAccountsInterface = require("./bankAccountsInterface.js");

var service = function service() {
  var get = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : _request.getRequest;
  var put = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : _request.putRequest;
  var post = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : _request.postRequest;
  return {
    get: get(function (params) {
      return "v0/merchants/".concat(params.affiliationCode, "/bank-accounts");
    }),
    put: put(function (params) {
      return "v0/merchants/".concat(params.affiliationCode, "/bank-accounts/") + "".concat(params.id);
    }, _bankAccountsInterface.bankAccountsInterface),
    post: post(function (params) {
      return "v0/merchants/".concat(params.affiliationCode, "/bank-accounts");
    }, _bankAccountsInterface.bankAccountsInterface)
  };
};

exports.service = service;