"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.service = void 0;

var _request = require("../../../helpers/request.js");

var _pagination = require("../../../helpers/pagination.js");

var service = function service() {
  var get = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : _request.getRequest;
  return {
    get: get(function (params) {
      if (!params.page) {
        params.page = 1;
      }

      var pagination = (0, _pagination.getPagination)(params.page, params.pageSize);
      return "v0/merchants/".concat(params.affiliationCode, "/terminal-devices") + "?".concat(pagination) + "".concat(params.statusId ? "&statusId=".concat(params.statusId) : '');
    })
  };
};

exports.service = service;