"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.onSdkAccessible = void 0;

var _slingHelpers = require("sling-helpers");

const onSdkAccessible = async () => {
  if (document.body == null) {
    await (0, _slingHelpers.waitUntilEvent)('DOMContentLoaded');
  }

  let $sdk = document.querySelector('sling-sdk-connect');

  if ($sdk == null) {
    $sdk = await (0, _slingHelpers.waitUntilTagIsAppended)('sling-sdk-connect', document.body);
  }

  if ($sdk.store == null) {
    await (0, _slingHelpers.waitUntilEvent)('storecreated', document);
  }

  return $sdk;
};

exports.onSdkAccessible = onSdkAccessible;