"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getFees = exports.putBankAccounts = exports.getAvailableBanks = exports.getBankInfo = exports.patchInfo = exports.getInfo = exports.getAddresses = exports.getPartners = exports.putContacts = exports.getContacts = void 0;

var _index = require("./index.js");

var sdk = _interopRequireWildcard(require("../../v0/src/index.js"));

var _constants = require("../../v0/src/constants/constants.js");

var _merchantModels = require("../../models/merchantModels.js");

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

const getContacts = ({
  stonecode: affiliationCode,
  apitoken
}, instance) => (0, _index.sdkRequest)(() => sdk.merchants.contacts.get({
  affiliationCode
}), instance, apitoken);

exports.getContacts = getContacts;

const putContacts = ({
  stonecode: affiliationCode,
  apitoken,
  payload
}, instance) => (0, _index.sdkRequest)(() => sdk.merchants.contacts.put({
  affiliationCode,
  id: payload.id
}, (0, _merchantModels.putContactsModel)(payload)), instance, apitoken);

exports.putContacts = putContacts;

const getPartners = ({
  stonecode: affiliationCode,
  apitoken
}, instance) => {
  sdk.headers.append('StoneCode', affiliationCode); // @todo: remove PORTAL_API_URL when merchant.partners uses the Gateway API

  return (0, _index.sdkRequest)(() => sdk.merchants.partners.get(_constants.PORTAL_API_URL, {
    affiliationCode
  }), instance, apitoken);
};

exports.getPartners = getPartners;

const getAddresses = ({
  stonecode: affiliationCode,
  apitoken
}, instance) => (0, _index.sdkRequest)(() => sdk.merchants.addresses.get({
  affiliationCode
}), instance, apitoken);

exports.getAddresses = getAddresses;

const getInfo = ({
  stonecode: affiliationCode,
  apitoken
}, instance) => (0, _index.sdkRequest)(() => sdk.merchants.merchant.get({
  affiliationCode
}), instance, apitoken);

exports.getInfo = getInfo;

const patchInfo = ({
  stonecode: affiliationCode,
  apitoken,
  payload
}, instance) => (0, _index.sdkRequest)(() => sdk.merchants.merchant.patch({
  affiliationCode
}, payload), instance, apitoken);

exports.patchInfo = patchInfo;

const getBankInfo = ({
  stonecode: affiliationCode,
  apitoken
}, instance) => (0, _index.sdkRequest)(() => sdk.merchants.bankAccounts.get({
  affiliationCode
}), instance, apitoken);

exports.getBankInfo = getBankInfo;

const getAvailableBanks = ({
  stonecode: affiliationCode,
  apitoken
}, instance) => (0, _index.sdkRequest)(() => sdk.merchants.availableBanks.get({
  affiliationCode
}), instance, apitoken);

exports.getAvailableBanks = getAvailableBanks;

const putBankAccounts = ({
  stonecode: affiliationCode,
  apitoken,
  payload
}, instance) => (0, _index.sdkRequest)(() => sdk.merchants.bankAccounts.put({
  affiliationCode,
  id: payload.id
}, (0, _merchantModels.putMerchantsBankInfo)(payload)), instance, apitoken);

exports.putBankAccounts = putBankAccounts;

const getFees = ({
  stonecode: affiliationCode,
  apitoken
}, instance) => (0, _index.sdkRequest)(() => sdk.merchants.fees.get({
  affiliationCode
}), instance, apitoken);

exports.getFees = getFees;