"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.service = void 0;

var _request = require("../../../helpers/request.js");

var _pagination = require("../../../helpers/pagination.js");

const service = (get = _request.getRequest) => ({
  get: get(params => {
    if (!params.page) {
      params.page = 1;
    }

    const pagination = (0, _pagination.getPagination)(params.page, params.pageSize);
    return `v0/merchants/${params.affiliationCode}/terminal-devices` + `?${pagination}` + `${params.statusId ? `&statusId=${params.statusId}` : ''}`;
  })
});

exports.service = service;