import { waitUntilEvent } from 'sling-helpers';
import 'sling-web-component-sdk-connect';
import { Store } from '../../container/store/store.js';

var connectReducers = function connectReducers(store) {
  if (document.querySelector('sling-sdk-connect') == null) {
    var $sdk = document.createElement('sling-sdk-connect');
    document.body.appendChild($sdk);
    $sdk.store = store || Store;
  }
};

export var slingSdk = {
  init: function init(store) {
    if (document.body != null) {
      connectReducers(store);
    } else {
      waitUntilEvent('DOMContentLoaded').then(function () {
        return connectReducers(store);
      });
    }
  }
};