function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

import { BEFORE_REQUEST, AFTER_REQUEST, INTERRUPTED } from './constants.js';
import { validateMiddleware } from './validateMiddleware.js';
export { INTERRUPTED };
export var Middleware =
/*#__PURE__*/
function () {
  function Middleware() {
    _classCallCheck(this, Middleware);

    this._index = 0;
    this._middlewares = [];
    this._requests = {};
    this.executePreRequest = this.executePreRequest.bind(this);
    this.executePostRequest = this.executePostRequest.bind(this);
    this._proceed = this._proceed.bind(this);
    this._quit = this._quit.bind(this);
  }

  _createClass(Middleware, [{
    key: "getAll",
    value: function getAll() {
      return this._middlewares;
    }
  }, {
    key: "use",
    value: function use(middleware) {
      this._middlewares.push(validateMiddleware(middleware));
    }
  }, {
    key: "executePreRequest",
    value: function executePreRequest(requestId) {
      var _this = this;

      return function (arg) {
        return _this._exec(BEFORE_REQUEST, requestId, arg);
      };
    }
  }, {
    key: "executePostRequest",
    value: function executePostRequest(requestId) {
      var _this2 = this;

      return function (arg) {
        return _this2._exec(AFTER_REQUEST, requestId, arg);
      };
    }
  }, {
    key: "_exec",
    value: function _exec(stage, requestId, arg) {
      var _this3 = this;

      this._requests[requestId] = this._requests[requestId] || {};
      this._requests[requestId].stage = stage;

      this._executeCurrentMiddleware(requestId);

      return new Promise(function (resolve) {
        _this3._requests[requestId].resolver = function (signal) {
          resolve(signal || arg);
        };
      });
    }
  }, {
    key: "_executeCurrentMiddleware",
    value: function _executeCurrentMiddleware(requestId) {
      var _this4 = this;

      var currentMiddleware = this._middlewares[this._index];
      var stage = this._requests[requestId].stage;

      if (!currentMiddleware || !currentMiddleware[stage]) {
        this._proceed(requestId);

        return undefined;
      }

      var currentCallback = currentMiddleware[stage];
      var signal = stage === BEFORE_REQUEST ? INTERRUPTED : undefined;
      currentCallback({
        proceed: function proceed() {
          return _this4._proceed(requestId);
        },
        quit: function quit() {
          return _this4._quit(requestId, signal);
        }
      });
      return undefined;
    }
  }, {
    key: "_proceed",
    value: function _proceed(requestId) {
      if (this._index + 1 < this._middlewares.length) {
        this._index += 1;

        this._executeCurrentMiddleware(requestId);

        return undefined;
      }

      this._quit(requestId);

      return undefined;
    }
  }, {
    key: "_quit",
    value: function _quit(requestId, signal) {
      var _this5 = this;

      Promise.resolve().then(function () {
        _this5._requests[requestId].resolver(signal);

        _this5._requests[requestId] = undefined;
        _this5._index = 0;
      });
    }
  }]);

  return Middleware;
}();
export var middleware = new Middleware();