import * as transactionsService from '../../core/services/transactionsService.js';
import * as transactionsModel from '../../models/transactionsModels.js';

const {
  getBrands,
  getProductTypes,
  getTransactionProfiles,
} = transactionsService;

const {
  brandsModel,
  productTypesModel,
  transactionProfilesModel,
} = transactionsModel;

export const getBrandsInfo =
  (requestParams, instance) => (dispatch) => {
    getBrands(requestParams, instance)
      .then((response) => {
        dispatch({
          type: 'GET_BRANDS_INFO',
          data: brandsModel(response.data),
        });
      });
  };

export const getProductTypesInfo =
  (requestParams, instance) => (dispatch) => {
    getProductTypes(requestParams, instance)
      .then((response) => {
        dispatch({
          type: 'GET_PRODUCT_TYPES_INFO',
          data: productTypesModel(response.data),
        });
      });
  };

export const getTransactionProfilesInfo =
  (requestParams, instance) => (dispatch) => {
    getTransactionProfiles(requestParams, instance)
      .then((response) => {
        dispatch({
          type: 'GET_TRANSACTION_PROFILES_INFO',
          data: transactionProfilesModel(response.data),
        });
      });
  };
