import { sdkRequest } from './index.js';
import * as sdk from '../../v0/src/index.js';

export const getPaymentDetails = (requestParams, instance) => {
  const {
    apitoken,
    stonecode: affiliationCodes,
    startdate: startDate,
    finaldate: finalDate,
    crossbalance: crossBalance,
  } = requestParams;
  return sdkRequest(() => sdk.payments.payments.get(
    { affiliationCodes, startDate, finalDate, crossBalance }),
  instance, apitoken);
};

export const getPaymentDetailsByWalletTypeId = (requestParams, instance) => {
  const {
    apitoken,
    stonecode: affiliationCodes,
    startdate: startDate,
    finaldate: finalDate,
    wallettypeid: walletTypeId,
  } = requestParams;

  return sdkRequest(() => sdk.payments.details.get(
    { affiliationCodes, startDate, finalDate, walletTypeId }),
  instance, apitoken);
};

export const getPaymentOperations = (requestParams, instance) => {
  const {
    apitoken,
    stonecode: affiliationCodes,
    startdate: startDate,
    finaldate: finalDate,
    page,
    pagesize: pageSize,
  } = requestParams;

  return sdkRequest(
    () => sdk.payments.operations.get(
      { affiliationCodes, startDate, finalDate, page, pageSize }),
    instance, apitoken);
};

export const getPaymentWalletTypes = ({ apitoken }, instance) =>
  sdkRequest(() => sdk.payments.walletTypes.get(),
    instance, apitoken);

export const getPaymentStatus = ({ apitoken }, instance) =>
  sdkRequest(() => sdk.payments.status.get(), instance, apitoken);

export const getPaymentOperationsCategories = ({ apitoken }, instance) =>
  sdkRequest(() => sdk.payments.operationsCategories.get(), instance, apitoken);
