import * as salesModels from './salesModels';

describe('salesModels', () => {
  it('Should return correct sales report model.', () => {
    const infoData = [{
      data: [
        {
          brandId: 1,
          productTypeId: 2,
          presentationDate: '2016-06-17T00:00:00.000Z',
          amount: 0.1,
          quantity: 1,
          average: 0.1,
          standardDeviation: null,
          minimumAmount: 0.1,
          maximumAmount: 0.1,
        },
        {
          brandId: 2,
          productTypeId: 1,
          presentationDate: '2016-06-17T00:00:00.000Z',
          amount: 0.1,
          quantity: 1,
          average: 0.1,
          standardDeviation: null,
          minimumAmount: 0.1,
          maximumAmount: 0.1,
        }],
    },
    {
      data: [
        {
          id: 1,
          name: 'Visa',
        },
        {
          id: 2,
          name: 'MasterCard',
        },
        {
          id: 171,
          name: 'Elo',
        }],
    },
    {
      data: [
        {
          id: 1,
          name: 'Débito',
        },
        {
          id: 2,
          name: 'Crédito',
        }],
    }];

    const modeledData = [
      {
        brandId: 1,
        brandName: 'Visa',
        productTypeId: 2,
        productTypeName: 'Crédito',
        presentationDate: '2016-06-17T00:00:00.000Z',
        amount: 0.1,
        quantity: 1,
        average: 0.1,
        standardDeviation: null,
        minimumAmount: 0.1,
        maximumAmount: 0.1,
      },
      {
        brandId: 2,
        brandName: 'MasterCard',
        productTypeId: 1,
        productTypeName: 'Débito',
        presentationDate: '2016-06-17T00:00:00.000Z',
        amount: 0.1,
        quantity: 1,
        average: 0.1,
        standardDeviation: null,
        minimumAmount: 0.1,
        maximumAmount: 0.1,
      },
    ];

    expect(salesModels.salesReportModel(infoData)).to.be
      .deep.equal(modeledData);
  });
});
