import { matchesInterface } from '../../../helpers/interface.js';
import { bankAccountsInterface } from './bankAccountsInterface.js';

describe('Bank Accounts Models', () => {
  it('Should validate the payload according to the interface.', () => {
    const payload = {
      accountNumber: '321',
      accountNumberVerificationCode: '1',
      agencyNumber: '321',
      agencyNumberVerificationCode: '1',
      bankId: 12,
      statusId: 321,
      typeId: 321,
      centralizedPayment: false,
    };
    expect(matchesInterface(bankAccountsInterface)(payload))
      .to.be.true;
  });

  it('Should pass with null agencyNumberVerificationCode.', () => {
    const payload = {
      accountNumber: '321',
      accountNumberVerificationCode: '1',
      agencyNumber: '321',
      agencyNumberVerificationCode: null,
      bankId: 12,
      statusId: 321,
      typeId: 321,
      centralizedPayment: false,
    };
    expect(matchesInterface(bankAccountsInterface)(payload))
      .to.be.true;
  });
});
